%global gem_name actionmailer

Name:		rubygem-%{gem_name}
Epoch:		1
Version:	6.1.4.1
Release:	1
Summary:	Email composition and delivery framework (part of Rails)
License:	MIT
URL:		https://rubyonrails.org
Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: 	actionmailer-%{version}-tests.txz
Source2:	rails-%{version}-tools.txz

BuildRequires:	ruby(release)
BuildRequires:	rubygems-devel
BuildRequires:	ruby >= 2.2.2
BuildRequires:	rubygem(actionpack) = %{version}
BuildRequires:	rubygem(activejob)  = %{version}
BuildRequires:	rubygem(mail) >= 2.5.4
BuildArch:	noarch

%description
Email on Rails. Compose, deliver, and test emails using the familiar
controller/view pattern. First-class support for multipart email and
attachments.

%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{epoch}:%{version}-%{release}
BuildArch:	noarch

%description	doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}%{?prerelease} -b1 -b2

%build
gem build ../%{gem_name}-%{version}%{?prerelease}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ln -s %{_builddir}/tools ..
mv %{_builddir}/test .

ruby -Ilib:test -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.rdoc

%changelog
* Wed May 04 2022 wangkerong <wangkerong@h-partners.com> - 6.1.4.1-1
- Upgrade to 6.1.4.1

* Mon Feb  8 2021 sunguoshuai <sunguoshuai@huawei.com> - 5.2.4.4-1
- Upgrade to 5.2.4.4

* Sat Aug 8 2020 chengzihan <chengzihan2@huawei.com> - 5.2.3-1
- Package init
